netCDF::NcGroupAtt Class Reference

`#include <ncGroupAtt.h>`

Inheritance diagram for netCDF::NcGroupAtt:
[legend]

## Public Member Functions

| NcGroupAtt ()
| NcGroupAtt (const NcGroup &grp, const int index)
| NcGroupAtt (const NcGroupAtt &rhs)
| The copy constructor.
NcGroupAtt & | operator= (const NcGroupAtt &rhs)
bool | operator== (const NcGroupAtt &rhs)
Public Member Functions inherited from netCDF::NcAtt
size_t | getAttLength () const
std::string | getName () const
NcGroup | getParentGroup () const
NcType | getType () const
void | getValues (char **dataValues) const
void | getValues (char *dataValues) const
void | getValues (double *dataValues) const
void | getValues (float *dataValues) const
void | getValues (int *dataValues) const
void | getValues (long *dataValues) const
void | getValues (long long *dataValues) const
void | getValues (short *dataValues) const
void | getValues (signed char *dataValues) const
void | getValues (std::string &dataValues) const
void | getValues (unsigned char *dataValues) const
void | getValues (unsigned int *dataValues) const
void | getValues (unsigned long long *dataValues) const
void | getValues (unsigned short *dataValues) const
void | getValues (void *dataValues) const
bool | isNull () const
| NcAtt ()
| NcAtt (bool nullObject)
| NcAtt (const NcAtt &rhs)
bool | operator!= (const NcAtt &rhs) const
bool | operator== (const NcAtt &rhs) const
virtual | ~NcAtt ()=0

## Friends

bool | operator< (const NcGroupAtt &lhs, const NcGroupAtt &rhs)
bool | operator> (const NcGroupAtt &lhs, const NcGroupAtt &rhs)

## Additional Inherited Members

Protected Member Functions inherited from netCDF::NcAtt
NcAtt & | operator= (const NcAtt &rhs)

## Detailed Description

Class represents a netCDF group attribute

## Constructor & Destructor Documentation

## NcGroupAtt() [1/3]

NcGroupAtt::NcGroupAtt | ( |  | ) |

Constructor generates a null object.

## NcGroupAtt() [2/3]

NcGroupAtt::NcGroupAtt | ( | const NcGroupAtt & | rhs | ) |

The copy constructor.

The copy constructor.

## NcGroupAtt() [3/3]

NcGroupAtt::NcGroupAtt | ( | const NcGroup & | grp,
|  | const int | index )

Constructor for an existing global attribute.

Parameters

  grp | Parent Group object.
  index | The index (id) of the attribute.

## Member Function Documentation

## operator=()

NcGroupAtt & NcGroupAtt::operator= | ( | const NcGroupAtt & | rhs | ) |

assignment operator

## operator==()

bool NcGroupAtt::operator== | ( | const NcGroupAtt & | rhs | ) |

equivalence operator

## Friends And Related Symbol Documentation

## operator<

bool operator< | ( | const NcGroupAtt & | lhs,
|  | const NcGroupAtt & | rhs )

friend

comparator operator

## operator>

bool operator> | ( | const NcGroupAtt & | lhs,
|  | const NcGroupAtt & | rhs )

friend

comparator operator

The documentation for this class was generated from the following files:

- ncGroupAtt.h
- ncGroupAtt.cpp